"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorGreaterThanPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorGreaterThanPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.greaterThan.default";
  getOperator() {
    return "gt";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    query.filter.push({
      range: {
        [basePath]: {
          gt: value
        }
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorGreaterThanPlugin = ElasticsearchQueryBuilderOperatorGreaterThanPlugin;

//# sourceMappingURL=gt.js.map