"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorNotStartsWithPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
class ElasticsearchQueryBuilderOperatorNotStartsWithPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.notStartsWith.default";
  getOperator() {
    return "not_startsWith";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    if (value === "" || value === null || value === undefined) {
      return;
    }
    query.must_not.push({
      match_phrase_prefix: {
        [basePath]: value
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorNotStartsWithPlugin = ElasticsearchQueryBuilderOperatorNotStartsWithPlugin;

//# sourceMappingURL=notStartsWith.js.map